#ifdef __WIN32__
#include <winsock.h>
#else
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#endif
#include <stdio.h>
#include <string.h>
#include <fcntl.h>


main(int argc,char* argv[])
{
 int s;
 struct sockaddr_in serv_addr;
 struct hostent *hp;
 char buf[100];
#ifdef __WIN32__
	 WORD        VersionRequested;
	 WSADATA     ImplementationDetails;
	 VersionRequested = MAKEWORD(1,1);
	 if ( WSAStartup (VersionRequested, &ImplementationDetails) ) {	return(-1);};
#endif

 if(argc!=4)
 {
 printf("usage %s host port command\n",argv[0]);
 return(-1);
 };

 serv_addr.sin_addr.s_addr=inet_addr(argv[1]);
 serv_addr.sin_family=AF_INET;
 serv_addr.sin_port=htons(atoi(argv[2]));
 strcpy(buf,argv[3]);
 if((s=socket(AF_INET,SOCK_STREAM,0))==-1)
	{
	  perror("Error open socket()");
	  return(-1);
	 }
 fprintf(stderr,"Server: %s\n",inet_ntoa(serv_addr.sin_addr));

 if(connect(s,(struct sockaddr *)&serv_addr,sizeof(serv_addr))==-1)
 	{  perror("Error open connect()");  return(-1); }
if(recv(s,buf,sizeof(buf),0) < 0){ perror("Error open recv()");return(-1);}
 fprintf(stdout,"Receive from server: %s\n",buf);

#ifdef __WIN32__
  closesocket(s);
#else
 close(s);
#endif

 return(0);
}


