#ifdef __WIN32__
#include <winsock.h>
#else
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#endif
#include <stdio.h>
#include <string.h>
#include <fcntl.h>

int main(int argc,char *argv[])
{
int s,ns,addrlen,port;
struct sockaddr_in serv_addr,clnt_addr;
struct hostent *hp;
char buf[80],hname[80];

#ifdef __WIN32__
	 WORD        VersionRequested;
	 WSADATA     ImplementationDetails;
	 VersionRequested = MAKEWORD(1,1);
	 if ( WSAStartup (VersionRequested, &ImplementationDetails) ) {	return(-1);};
#endif

if(argc!=3)
 {
 printf("usage %s client port\n",argv[0]);
 return(-1);
 };
if ((s=socket(AF_INET,SOCK_STREAM,0))==-1)
	{
	 perror("Error open socket()");return(-1);
	 }
memset(&serv_addr,0,sizeof(serv_addr));
serv_addr.sin_family = AF_INET;
serv_addr.sin_addr.s_addr = inet_addr(argv[1]);
port = atoi(argv[2]);
serv_addr.sin_port = htons(port);
if(bind(s,(struct sockaddr *)&serv_addr,sizeof(serv_addr))==-1)
	{
	 perror("Error open bind()");return(-1);
	}
if (listen(s,1)==-1)
	{
           perror("Error open listen()");return(-1);
	}
		fprintf(stdout,"Server start for client %s at port %d\n",
                        inet_ntoa(serv_addr.sin_addr),port);
while(1)
	{
		memset(&clnt_addr,0,sizeof(clnt_addr));
	        addrlen = sizeof(clnt_addr);
		if((ns=accept(s,(struct sockaddr*)&clnt_addr,&addrlen))==-1)
		{
		 perror("Error open accept()\n");return(-1);
		}
		fprintf(stdout,"Client %s",inet_ntoa(clnt_addr.sin_addr));
		recv(ns,buf,sizeof(buf),0);
                send(ns,buf,sizeof(buf),0);
		fprintf(stdout," Send: %s\n",buf);
#ifdef __WIN32__
  closesocket(s);
#else
  close(s);
#endif
	}

}

